Сообщения без ответов | Активные темы Текущее время: 17 июн 2019, 18:01



Ответить на тему  [ Сообщений: 17 ] 
Установка 
Автор Сообщение

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Установка
Вопрос по установке на Ubuntu: у меня на сервере уже установлено другое ПО, для работы которого установлен Апач и MySQL. Где можно почитать по поводу требований к системе перед установкой Вашего ПО и какие порты Ваше приложение использует.
Какие требования для видеонаблюдения к дисковой системе сервера? Можно ли указать при установке, какой диск будет использовать Ваше ПО?
Вообщем хочется побольше технической информации, т.к. сервер на который хочу установить "боевой"


01 июл 2017, 13:32
Профиль
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
Перед установкой на "боевой" сервер я бы рекомендовал Вам сначала установить на другой сервер, посмотреть его в работе. Сам сервер можно скачать бесплатно и он будет работать в течении двух недель, это будет достаточно чтобы выяснить детали его работы, но даже если этого будет не достаточно, по вашей просьбе мы можем выдать временную лицензию для продления испытаний.
Рекомендуемая версия для установки это Ubuntu 16.04 LTS. Сервер использует встроенные базы SQLite, по этому Вашим он мешать не будет. Для подключения к серверу используется TCP соединение через порт 9460. Видеозапись требует совсем не много ресурсов, потому как мы храним не декодированный поток с камеры, по этому подойдет практически любая конфигурация.
К сожалению при установке указать какой диск использовать нельзя, он выберет диск где больше всего свободного места и займет там не более 50 ГБ или меньше чтобы на нем осталось не менее 1 ГБ свободного места. Пространство он сразу же зарезервирует пустыми файлами, все видео архивы будут хранится в папках videocam в корне диска. После установки можно будет изменить место хранения, на любой другой диск, с помощью клиента. При изменении он удалит все лишние файлы.
Если остались еще вопросы, пишите сюда или на почту support@sprecord.ru со ссылкой на эту тему.


01 июл 2017, 16:41
Профиль
Сообщение Re: Установка
:~$ wget https://sprecord.ru/files/downloads/vid ... _amd64.deb
--2017-07-01 17:54:16-- https://sprecord.ru/files/downloads/vid ... _amd64.deb
Распознаётся sprecord.ru (sprecord.ru)… 31.31.196.155
Подключение к sprecord.ru (sprecord.ru)|31.31.196.155|:443... соединение установлено.
HTTP-запрос отправлен. Ожидание ответа… 200 OK
Длина: 44764608 (43M) [application/x-troff-man]
Сохранение в: «ipvideoserver_1.5.7.352_amd64.deb»

ipvideoserver_1.5.7.352_amd6 100%[=============================================>] 42,69M 11,1MB/s in 4,1s

2017-07-01 17:54:20 (10,4 MB/s) - «ipvideoserver_1.5.7.352_amd64.deb» сохранён [44764608/44764608]


Выбор ранее не выбранного пакета ipvideoserver.
(Чтение базы данных … на данный момент установлено 95816 файлов и каталогов.)
Подготовка к распаковке ipvideoserver_1.5.7.352_amd64.deb …
Stoping ipvideoserver...
Failed to stop ipvideoserver.service: Unit ipvideoserver.service not loaded.
Распаковывается ipvideoserver (1.5.7.352) …
dpkg: зависимости пакетов не позволяют настроить пакет ipvideoserver:
ipvideoserver зависит от libxrandr2, однако:
Пакет libxrandr2 не установлен.
ipvideoserver зависит от libsm6, однако:
Пакет libsm6 не установлен.
ipvideoserver зависит от libice6, однако:
Пакет libice6 не установлен.

dpkg: ошибка при обработке пакета ipvideoserver (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для systemd (231-9ubuntu5) …
Обрабатываются триггеры для ureadahead (0.100.0-19) …
ureadahead will be reprofiled on next reboot
При обработке следующих пакетов произошли ошибки:
ipvideoserver
Штатно не "взетело"
Ubuntu 16.10


01 июл 2017, 18:25
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
Попробуйте новую версию. Мы пока ее еще не выложили на сайте.
http://sprecord.ru/files/downloads/vide ... _amd64.deb
Но возможно вам придется доустановить указанные пакеты (libxrandr2, libsm6, libice6).
Перед установкой этой версии, желательно полностью удалить предыдущий пакет
командой dpkg -P ipvideoserver


01 июл 2017, 18:53
Профиль
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
Чтобы той же версии клиент установить вот ссылка на Windows версию
http://sprecord.ru/files/downloads/vide ... .2.380.exe


01 июл 2017, 18:56
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
Полностью удалил, при установке новой версии те же ошибки
Буду пробовать доставить пакеты вручную


01 июл 2017, 19:06
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
На вновь установленную систему доставил пакеты, на которые "ругалась" прошлая установка. Но пакеты только i386
Результат:
~$ sudo dpkg -i ipvideoserver_1.7.2.380_amd64.deb
Выбор ранее не выбранного пакета ipvideoserver.
(Чтение базы данных … на данный момент установлено 93055 файлов и каталогов.)
Подготовка к распаковке ipvideoserver_1.7.2.380_amd64.deb …
Stoping ipvideoserver...
Failed to stop ipvideoserver.service: Unit ipvideoserver.service not loaded.
Распаковывается ipvideoserver (1.7.2.380) …
dpkg: зависимости пакетов не позволяют настроить пакет ipvideoserver:
ipvideoserver зависит от libxrandr2.
ipvideoserver зависит от libsm6.
ipvideoserver зависит от libice6.
ipvideoserver зависит от libxt6.

dpkg: ошибка при обработке пакета ipvideoserver (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для systemd (229-4ubuntu17) …
Обрабатываются триггеры для ureadahead (0.100.0-19) …
ureadahead will be reprofiled on next reboot
При обработке следующих пакетов произошли ошибки:
ipvideoserver


01 июл 2017, 22:02
Профиль
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
Если у вас 32 битная система то вам необходимо использовать другой пакет для установки
http://sprecord.ru/files/downloads/vide ... 0_i386.deb


02 июл 2017, 06:58
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
Система 64, в том всё и дело. Пришлось поставить графический пакет на сервер, после этого установка запустилась и только из консоли.


02 июл 2017, 07:14
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
Клиент на W8-W10 64 бит не "взлетает". Только на W7


02 июл 2017, 07:19
Профиль
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
Какие ошибки при установке?


02 июл 2017, 07:22
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
Вы можете уточнить зависимости для установки на сервер без пакета графического?


02 июл 2017, 07:23
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
[Какие ошибки при установке?]

Если касаемо клиента, инсталлятор не стартует штатно вообще. В документации консольно не видел команд (ключей) для установки клиента.


02 июл 2017, 07:27
Профиль
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
smp36 писал(а):
Вы можете уточнить зависимости для установки на сервер без пакета графического?

Узнать зависимости пакета можно командой
apt-cache depends ipvideoserver
Дело в том что при установке этих пакетов они еще подтягивают много пакетов которые задействованы в графической оболочке. В будущих версиях мы постараемся убрать такую зависимость.


02 июл 2017, 07:54
Профиль
тех. поддержка

Зарегистрирован: 14 окт 2014, 14:35
Сообщения: 103
Сообщение Re: Установка
smp36 писал(а):
Если касаемо клиента, инсталлятор не стартует штатно вообще. В документации консольно не видел команд (ключей) для установки клиента.

У клиента нет консольных команд. И он обычно без проблем ставится на 10 винду.


02 июл 2017, 07:57
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
Речь идет о новой версии клиента, версия с сайта запускается на W10-W8 (инсталлятор), дальше не пробовал, т.к. на сервер ставил версию новую.


02 июл 2017, 09:00
Профиль

Зарегистрирован: 01 июл 2017, 13:20
Сообщения: 9
Сообщение Re: Установка
На W10 удалось установить новую версию клиента только из командной строки с нештатной остановкой всех средств защиты системы.


02 июл 2017, 09:59
Профиль
Показать сообщения за:  Поле сортировки  
Ответить на тему   [ Сообщений: 17 ] 

Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Перейти:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.
Русская поддержка phpBB